Subject: Re: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Gerd Möllmann <[email-masked]>
Date: Thu, 04 Sep 2025 09:13:10 +0200

Gerd Möllmann <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> It currently doesn't function due to the load error.  We could of course
>>> just catch and not report load errors. But they do provide insight into
>>> early-loading issues that may merit correction.  And this "silent approach"
>>
>> Yes, we should address the warning rather than mute all those warnings.
>>
>>> I do think a real question could be asked: how early should it be possible
>>> to load a valid lisp file?
>>
>> That one's easy: the whole of `loadup.el` is made of a delicate
>> ordering, so it's only after those files have been loaded that you're in
>> safe territory.
>>
>> So, I guess this suggests we should build the \N{...} table before we
>> build the `loaddefs.el` and that should be doable without any new
>> bootstrap issue since we have `ldefs-boot.el` to solve that dependency.
>
> Put some sturdy footwear on for the Makefile shrubbery, and came up with
> the attached patch. It's for my Emacs only; I have no way of testing
> this with all the other platforms, and all the ways Emacs can be built.
> And I'm not sure that you would want the loaddefs-gen change either. And
> blahblah :-).

Forgot something: IMHO, the load in loaddefs-gen should not be in a
condition-case. The build should fail with a backtrace.